[Frage] class t3lib_extMgm not found bei Datasbase analyzer 6.2.4 -> 8.7.0 TYPO3-Version: -

  • MrSpock MrSpock
    T3PO
    0 x
    14 Beiträge
    0 Hilfreiche Beiträge
    08. 04. 2017, 13:50

    Hallo,

    möchte mein CMS von der Version 6.2.4 auf 8.7.0 upgraden. Habe die Sourcen hochgeladen, den Link gesetzt und install ausgeführt. Im Upgrade Wizzard habe ich Database Analyzer ausgewählt und bekomme dort die Fehlermeldung:
    Oops, an error occurred!
    Class 't3lib_extMgm' not found

    Was kann ich dagegen machen?


  • 1
  • Julian.Hofmann Julian.Ho...
    Flash Gordon
    0 x
    2831 Beiträge
    104 Hilfreiche Beiträge
    10. 04. 2017, 11:24

    Hallo.

    Das klingt stark danach, dass Du Extensions aktiv hast, die (noch) nicht kompartibel sind. Konkret: in Extension-Code wird noch t3lib_extMgm in der ext_localconf.php, ext_tables.php, Configuration/TCA/* aufgerufen.

    Lösungsansatz: Extensions entweder deaktivieren oder entsprechend anpassen und/oder aktualisieren.

    Viele Grüße
    Julian

  • MrSpock MrSpock
    T3PO
    0 x
    14 Beiträge
    0 Hilfreiche Beiträge
    22. 04. 2017, 14:11

    Hallo Julian,

    ich habe jetzt einmal im ext Verzeichnis alle ext_localconf.php und ex_tables.php angeschaut. In fast alles Extensions wird noch t3lib_extMgm benutzt. Insbesondere folgende Erweiterungen

    cal
    cl_becache
    smile
    spamshield
    t3jquery
    tt_news
    ve_guestbook

    Über den Extentionmanager finde ich für keine dieser Extentions ein Update.

    Kann ich jetzt "einfach so" im Extentionmanager alle diese Extentions deaktivieren und dann das Update durchführen? Und dann anschließend die Extentions wieder aktivieren oder neu installieren? Und was passiert dann auf den Seiten, die die Extentions nutzen? Z.b. News und Cal(endar)?

  • karlchen karlchen
    Jedi-General
    0 x
    1427 Beiträge
    30 Hilfreiche Beiträge
    22. 04. 2017, 20:45

    Hi,

    Ein Hinweis noch am Rande. Beim Update erst auf die 7er Version gehen, dann erst auf die 8. Die update Wizards im Installtool sind wichtig, die sollen beim Update für 7 und 8 ausgeführt werden.

    Was die Extensions angeht, schau mal hier ob du aktuelle Versionen findest https://typo3.org/extensions/repository/ falls dort auch keine sind wirst du diese nicht mit TYPO3 8.x nutzen können. Sprich du kannst sie nur deinstallieren und nicht mehr nutzen. Somit werden die Funktionen der Extensions auch nicht mehr zur Verfügung stehen. Tt_news z.b wird in Kürze wohl eine kompatible Version raus bringen, die anderen Extension authoren werden vielleicht folgen.

  • 1